 /*
 *Driver for the card pcie bridge.

 *Copyright (C) 2019 AVerMedia TECHNOLOGIES, Inc.

 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.

 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.

 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
 
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/slab.h>
#include <linux/init.h>
#include <linux/version.h>
#include "bwfs_version.h"

int board_init(void);
void board_exit(void);
static int __init bwfs_init(void)
{
    int ret=0;

    ret = board_init();
    return ret;
}

static void __exit bwfs_fini(void)
{
	board_exit();
}

module_init(bwfs_init);
module_exit(bwfs_fini);

MODULE_VERSION(DRIVER_VER);

MODULE_LICENSE("GPL");
MODULE_DESCRIPTION("Driver for cx311h capture card" " v" DRIVER_VER);
MODULE_AUTHOR("BWFS Tech. Inc.");


