 /*
 *Driver for the card pcie bridge.

 *Copyright (C) 2019 AVerMedia TECHNOLOGIES, Inc.

 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.

 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.

 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef V4L2_MODEL_VIDEOBUF2_H_
#define V4L2_MODEL_VIDEOBUF2_H_



void *v4l2_model_vb2_init(struct vb2_queue *q,v4l2_model_devicetype_t dev_type,v4l2_model_buffer_type_e queue_type,struct device *dev, void *priv);
void  v4l2_model_vb2_release(void *context);

#define vb2q_to_v4l2context(x) \
    container_of(x, v4l2_model_context_t, queue)

#define vb2b_to_v4l2context(x) \
    container_of(x->vb2_queue, v4l2_model_context_t, queue)


#endif /* V4L2_MODEL_VIDEOBUF2_H_ */
